<f:section name="Default">

	<f:if condition="{f:count(subject: settings.filter.fields)}">
		<div class="{settings.filter.css.class.wrapperOuter}">
			<div class="{settings.filter.css.class.wrapper}">
				<div class="{settings.filter.css.class.wrapperInner}">
					<f:for each="{settings.filter.fields}" as="filterField">
						<f:if condition="{filterField} != 'Submit' && {filterField} != 'Reset'">
							<f:render partial="Product/List/Filter/{filterField}" arguments="{_all}" section="Default" />
						</f:if>
					</f:for>
					<div class="{settings.filter.css.class.buttonWrapper}">
						<f:for each="{settings.filter.fields}" as="filterField">
							<f:if condition="{filterField} == 'Submit' || {filterField} == 'Reset'">
								<f:render partial="Product/List/Filter/{filterField}" arguments="{_all}" section="Default" />
							</f:if>
						</f:for>
						<f:if condition="{settings.pro} && {settings.bookmarks.active} && {settings.displayType} != 'Teaser'">
							<div class="{settings.filter.css.class.compare.wrapper}">
								<f:render partial="Buttons/Compare" section="Default" arguments="{_all}"/>
							</div>
						</f:if>
					</div>
				</div>
			</div>
		</div>
	</f:if>

</f:section>
